Bug 193106 - UI process side scrollbars for UI side compositing on Mac
Summary: UI process side scrollbars for UI side compositing on Mac
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-01-03 08:27 PST by Antti Koivisto
Modified: 2019-01-07 12:12 PST (History)
14 users (show)

See Also:


Attachments
wip (55.56 KB, patch)
2019-01-03 11:32 PST, Antti Koivisto
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-sierra-wk2 (3.23 MB, application/zip)
2019-01-03 12:58 PST, Build Bot
no flags Details
patch (72.41 KB, patch)
2019-01-04 09:54 PST, Antti Koivisto
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-sierra-wk2 (3.04 MB, application/zip)
2019-01-04 11:15 PST, Build Bot
no flags Details
patch (73.11 KB, patch)
2019-01-04 11:35 PST, Antti Koivisto
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-sierra-wk2 (3.94 MB, application/zip)
2019-01-04 13:04 PST, Build Bot
no flags Details
patch (73.64 KB, patch)
2019-01-05 03:46 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (108.04 KB, patch)
2019-01-05 04:22 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (74.68 KB, patch)
2019-01-05 04:46 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (75.86 KB, patch)
2019-01-07 05:09 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff
patch (75.64 KB, patch)
2019-01-07 06:35 PST, Antti Koivisto
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antti Koivisto 2019-01-03 08:27:13 PST
Scrollbars should live in the UI process.
Comment 1 Antti Koivisto 2019-01-03 11:32:02 PST
Created attachment 358266 [details]
wip
Comment 2 Build Bot 2019-01-03 11:37:12 PST
Attachment 358266 [details] did not pass style-queue:


ERROR: Source/WebKit/UIProcess/RemoteLayerTree/mac/ScrollerMac.mm:235:  Misplaced OS version check. Please use a named macro in wtf/Platform.h or wtf/FeatureDefines.h.  [build/version_check] [5]
Total errors found: 1 in 22 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Build Bot 2019-01-03 12:58:07 PST
Comment on attachment 358266 [details]
wip

Attachment 358266 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10618816

New failing tests:
svg/dom/SVGViewSpec.html
Comment 4 Build Bot 2019-01-03 12:58:09 PST
Created attachment 358272 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 5 Frédéric Wang (:fredw) 2019-01-04 07:26:37 PST
Comment on attachment 358266 [details]
wip

Just a quick comment: In ScrollingTreeScrollingNode/ScrollingStateScrollingNode we use the order horizontal,vertical (i.e. X and Y) when storing/dumping/setting/getting the parameters. In this WIP patch you are using the order vertical,horizontal.
Comment 6 Antti Koivisto 2019-01-04 08:46:12 PST
(In reply to Frédéric Wang (:fredw) from comment #5)
> Just a quick comment: In
> ScrollingTreeScrollingNode/ScrollingStateScrollingNode we use the order
> horizontal,vertical (i.e. X and Y) when storing/dumping/setting/getting the
> parameters. In this WIP patch you are using the order vertical,horizontal.

It is not very consistent, especially with scrollbars. ScrollingTreeFrameScrollingNodeMac for example uses vertical/horizontal order. The argument would be that vertical bars are way more common and so important than horizontal.
Comment 7 Antti Koivisto 2019-01-04 09:54:22 PST
Created attachment 358325 [details]
patch
Comment 8 Build Bot 2019-01-04 09:56:15 PST
Attachment 358325 [details] did not pass style-queue:


ERROR: Source/WebKit/UIProcess/RemoteLayerTree/mac/ScrollerMac.mm:213:  Misplaced OS version check. Please use a named macro in wtf/Platform.h or wtf/FeatureDefines.h.  [build/version_check] [5]
Total errors found: 1 in 32 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Build Bot 2019-01-04 11:15:25 PST
Comment on attachment 358325 [details]
patch

Attachment 358325 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10629523

New failing tests:
svg/dom/SVGViewSpec.html
Comment 10 Build Bot 2019-01-04 11:15:28 PST
Created attachment 358339 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 11 Antti Koivisto 2019-01-04 11:35:00 PST
Created attachment 358344 [details]
patch
Comment 12 Build Bot 2019-01-04 11:37:51 PST
Attachment 358344 [details] did not pass style-queue:


ERROR: Source/WebKit/UIProcess/RemoteLayerTree/mac/ScrollerMac.mm:213:  Misplaced OS version check. Please use a named macro in wtf/Platform.h or wtf/FeatureDefines.h.  [build/version_check] [5]
Total errors found: 1 in 33 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 13 Build Bot 2019-01-04 13:04:40 PST
Comment on attachment 358344 [details]
patch

Attachment 358344 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10631241

New failing tests:
svg/dom/SVGViewSpec.html
Comment 14 Build Bot 2019-01-04 13:04:42 PST
Created attachment 358353 [details]
Archive of layout-test-results from ews107 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 15 Antti Koivisto 2019-01-05 03:46:13 PST
Created attachment 358433 [details]
patch
Comment 16 Build Bot 2019-01-05 03:48:10 PST
Attachment 358433 [details] did not pass style-queue:


ERROR: Source/WebKit/UIProcess/RemoteLayerTree/mac/ScrollerMac.mm:213:  Misplaced OS version check. Please use a named macro in wtf/Platform.h or wtf/FeatureDefines.h.  [build/version_check] [5]
Total errors found: 1 in 33 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 17 Antti Koivisto 2019-01-05 04:22:20 PST
Created attachment 358437 [details]
patch
Comment 18 Build Bot 2019-01-05 04:25:10 PST
Attachment 358437 [details] did not pass style-queue:


ERROR: Source/WebKit/UIProcess/RemoteLayerTree/mac/ScrollerMac.mm:213:  Misplaced OS version check. Please use a named macro in wtf/Platform.h or wtf/FeatureDefines.h.  [build/version_check] [5]
Total errors found: 1 in 35 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 19 Antti Koivisto 2019-01-05 04:46:23 PST
Created attachment 358438 [details]
patch
Comment 20 Build Bot 2019-01-05 04:47:58 PST
Attachment 358438 [details] did not pass style-queue:


ERROR: Source/WebKit/UIProcess/RemoteLayerTree/mac/ScrollerMac.mm:213:  Misplaced OS version check. Please use a named macro in wtf/Platform.h or wtf/FeatureDefines.h.  [build/version_check] [5]
Total errors found: 1 in 35 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 21 Antti Koivisto 2019-01-07 05:09:40 PST
Created attachment 358492 [details]
patch
Comment 22 Build Bot 2019-01-07 05:11:24 PST
Attachment 358492 [details] did not pass style-queue:


ERROR: Source/WebKit/UIProcess/RemoteLayerTree/mac/ScrollerMac.mm:212:  Misplaced OS version check. Please use a named macro in wtf/Platform.h or wtf/FeatureDefines.h.  [build/version_check] [5]
Total errors found: 1 in 35 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 23 Antti Koivisto 2019-01-07 06:35:21 PST
Created attachment 358493 [details]
patch
Comment 24 Build Bot 2019-01-07 06:37:07 PST
Attachment 358493 [details] did not pass style-queue:


ERROR: Source/WebKit/UIProcess/RemoteLayerTree/mac/ScrollerMac.mm:198:  Misplaced OS version check. Please use a named macro in wtf/Platform.h or wtf/FeatureDefines.h.  [build/version_check] [5]
Total errors found: 1 in 35 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 25 Tim Horton 2019-01-07 11:40:16 PST
Comment on attachment 358493 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=358493&action=review

> Source/WebKit/UIProcess/mac/PageClientImplMac.mm:97
> +@interface NSWindow (WebNSWindowLayerHostingDetails)

Could also just drop the name entirely.

> Source/WebKit/UIProcess/mac/WKFullScreenWindowController.mm:94
> +@interface NSWindow (WebNSWindowFullScreenDetails)

Could also just drop the name entirely.
Comment 26 WebKit Commit Bot 2019-01-07 12:11:05 PST
Comment on attachment 358493 [details]
patch

Clearing flags on attachment: 358493

Committed r239689: <https://trac.webkit.org/changeset/239689>
Comment 27 WebKit Commit Bot 2019-01-07 12:11:07 PST
All reviewed patches have been landed.  Closing bug.
Comment 28 Radar WebKit Bug Importer 2019-01-07 12:12:37 PST
<rdar://problem/47092469>